### Hierarchy

- unknown
  - XmrBalanceInfo

## Index

### Constructors

- constructor

### Methods

- getAvailableBalance
- getBalance
- getPendingBalance
- getReservedOfferBalance
- getReservedTradeBalance
- serializeBinary
- setAvailableBalance
- setBalance
- setPendingBalance
- setReservedOfferBalance
- setReservedTradeBalance
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrBalanceInfo(): XmrBalanceInfo

- Inherited from jspb.Message.constructor

  #### Returns XmrBalanceInfo

## Methods

### getAvailableBalance

- getAvailableBalance(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3773

  #### Returns string

### getBalance

- getBalance(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3770

  #### Returns string

### getPendingBalance

- getPendingBalance(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3776

  #### Returns string

### getReservedOfferBalance

- getReservedOfferBalance(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3779

  #### Returns string

### getReservedTradeBalance

- getReservedTradeBalance(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3782

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3785

  #### Returns Uint8Array

### setAvailableBalance

- setAvailableBalance(value: string): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3774

  #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

### setBalance

- setBalance(value: string): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3771

  #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

### setPendingBalance

- setPendingBalance(value: string): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3777

  #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

### setReservedOfferBalance

- setReservedOfferBalance(value: string): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3780

  #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

### setReservedTradeBalance

- setReservedTradeBalance(value: string): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3783

  #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

### toObject

- toObject(includeInstance?: boolean): XmrBalanceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3786

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrBalanceInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3789

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrBalanceInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrBalanceInfo, reader: BinaryReader): XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3790

  #### Parameters

  - ##### message: XmrBalanceInfo

  - ##### reader: BinaryReader

  #### Returns XmrBalanceInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrBalanceInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3788

  #### Parameters

  - ##### message: XmrBalanceInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrBalanceInfo ): XmrBalanceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3787

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrBalanceInfo

  #### Returns XmrBalanceInfo . AsObject

Generated using TypeDoc